# Expose Cluster

Sometimes you want to use a remote server instead of a laptop to host VelaD cluster. You need to expose your cluster to
the cluster so that you can access it from your computer. This document show you how to access a remote VelaD cluster.

## How-to

### Single-node Cluster

> Note: If you are using a VM provided by cloud vendor (such as ECS in AliYun, EC2 in aws) , remember to expose 6443 
> port from your security group.

The simplest way to expose your cluster when you set-up a single-node cluster. 
Just add `--bind-ip` argument when `velad install` like:

```shell
velad install --bind-ip=<IP_OF_SERVER>
```

VelaD will generate kubeconfig which can access this cluster for you. 
Then print the generated kubeconfig for remote access.

```shell
velad kubeconfig --external
```

This will print a kubeconfig path. Copy that file to your local computer (or other server). Set it to `KUBECONFIG` var as
other kubeconfig. Then you can access this VelaD cluster from remote.

To summary:
1. `velad install --bind-ip`
2. `velad kubeconfig --external`
3. Copy external kubeconfig file to other computer.
4. export `KUBECONFIG` variable.

### Multi-node Cluster

Please follow this [high availability document](04.ha.md) to expose multi-node cluster.